Hibernate 5.2 is not compatible with any version of hibernate search

Description

Hibernate ORM 5.2 is not compatible with any version of Hibernate Search, including 5.6.0.Beta1 since all version of Hibernate Search are compiled with previuos version of Hibernate ORM. This is making Hibernate ORM 5.2 impossible to use in any project that is using Hibernate Search.

Example:

ava.lang.NoSuchMethodError caught: java.lang.NoSuchMethodError: org.hibernate.event.spi.EventSource.getTransactionCoordinator()Lorg/hibernate/resource/transaction/TransactionCoordinator;
at org.hibernate.search.backend.impl.EventSourceTransactionContext.isLocalTransaction(EventSourceTransactionContext.java:117)
at org.hibernate.search.backend.impl.EventSourceTransactionContext.registerSynchronization(EventSourceTransactionContext.java:84)
at org.hibernate.search.backend.impl.PerTransactionWorker.performWork(PerTransactionWorker.java:73)
at org.hibernate.search.event.impl.FullTextIndexEventListener.processWork(FullTextIndexEventListener.java:237)
at org.hibernate.search.event.impl.FullTextIndexEventListener.onPostUpdate(FullTextIndexEventListener.java:136)
... etc

Environment

None

Status

Assignee

Unassigned

Reporter

Cedomir Igaly

Labels

None

Suitable for new contributors

None

Pull Request

None

Feedback Requested

None

Affects versions

5.5.3.Final
5.6.0.Beta1

Priority

Major